%define gtkguiversion 0.51
%define name gtk+licq
# defines what this version of the plugin requires what version of licq to bb
%define builtfor 1.1.0
%define release 12mdk
%define prefix %{_prefix}
%define snapshot_date 030119

Name: %{name}
Release: %{release}
Version: %{gtkguiversion}
Source: http://gtk.licq.org/download/gtk+licq-%{version}.%{snapshot_date}.tar.bz2
Patch1: gtk+licq-0.51-orbitfix.patch.bz2
Patch2: gtk+licq-0.51.030119-licq127.patch.bz2
Group: Networking/Instant messaging
URL: http://gtk.licq.org
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: licq >= %{builtfor} gtk+ >= 1.2.0 
BuildRequires: licq-devel >= %{builtfor}
BuildRequires: autoconf2.5
BuildRequires: automake1.8
BuildRequires: gettext-devel
BuildRequires: gnome-libs-devel
BuildRequires: gtk+-devel >= 1.2.0
BuildRequires: sgml-tools
Summary: Gtk+Licq is a gtk based GUI plugin for Licq
Provides: licq-plugin

%package nognome
Group: Networking/Instant messaging
Summary: gtk+licq without gnome support
Provides: licq-plugin
Requires: gtk+ >= 1.2.0 licq >= %{builtfor} %{name}-base = %{version}

%package base
Group: Networking/Instant messaging
Summary: base files for gtk+licq
Obsoletes: licq-gtk

%description 
This is a gtk based GUI plugin for Licq. This is a plugin based on the QT
plugin which is installed by default. It is extremely well developed and
usable.

Although this plugin is not included in the standard Licq source package, you
should install this if you want another plugin, or you can also install this
if you don't like qt.

Because the Licq qt plugin is started by default, you must issue a 
licq -p gtk_gui if you wish to use the plugin. This only needs to be done once.

Install this if you want to have a gtk-based GUI for Licq. 

Note that this RPM is different from Jon's GTK GUI for Licq.

%description nognome
This is the same plugin as licq-gtk, but this does not have gnome support.

Install this one if you want one without gnome support.

%description base
These are the base, required files for gtk+licq.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n gtk+licq-%{version}.%{snapshot_date}
#%patch -p1
%patch1 -p1 -b .orbitfix
%patch2 -p1 -b .compile

%build
#perl -pi -e "s/gdk_font_load/gdk_fontset_load/g" src/*
export FORCE_AUTOCONF_2_5=1
libtoolize --copy --force
aclocal-1.8
autoconf
touch mkinstalldirs
automake-1.8 -a -c -f
%configure2_5x
%make
#ugly hack
cd src/.libs && mv licq_gnome_gui.so ../../blah && cd ../..

make distclean
%configure2_5x --disable-gnome 
%make


%install
%makeinstall

rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/ximian/Programs/Internet/gtklicq.desktop

install -m755 blah $RPM_BUILD_ROOT%{prefix}/lib/licq/licq_gnome_gui.so

%{find_lang} %{name}


%clean
rm -rf $RPM_BUILD_ROOT  

# gtk+licq
%files
%defattr(-,root,root)
%{_libdir}/licq/licq_gnome_gui.so
%{_bindir}/gtklicq
%{_datadir}/gnome/apps/Internet/gtklicq.desktop

%files nognome
%defattr(-,root,root)
%{_libdir}/licq/licq_gtk_gui.so
%{_libdir}/licq/licq_gtk_gui.la

%files base -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/licq/gtk-gui
%{_datadir}/gnome/help/gtk+licq
%{_datadir}/pixmaps/gtklicq_small.png
#%{_datadir}/locale/*/LC_MESSAGES/*
%doc ABOUT-NLS README 
%doc AUTHORS 
%doc COPYING ChangeLog 
%doc NEWS 


%changelog
* Sun Jul 11 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.51-12mdk
- CVS snapshot 030119
- Patch2: fix build with licq 1.2.7

* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.51-11mdk
- rebuilt against new aspell

* Wed Oct 30 2002 Stefan van der Eijk <stefan@eijk.nu> 0.51-10mdk
- BuildRequires: gettext-devel

* Sun Sep 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.51-9mdk
- Compile fix.
- Rebuild.

* Wed Jul 17 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.51-8mdk
- Disable seach by email at the moment.
- CVS snapshot. Licq API has changed, and I don't want to port it.

* Fri Apr 12 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.51-7mdk
- Fix broken rpm.

* Fri Apr 12 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.51-6mdk
- Put in a BuildRequires for Autoconf 2.5x.
- Remove stupid autoconf hack.

* Fri Jan 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.51-5mdk
- Rebuild for 1.0.4.
- Make it build with the latest orbit.

* Tue Oct 02 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.51-4mdk
- Use gdk_fontset_load.
- Add back the locales which were unfortunately lost in space ... :(

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.51-3mdk
- BuildRequires: gnome-libs-devel sgml-tools

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.51-2mdk
- Sanity build for 8.1.

* Tue Aug 07 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.51-1mdk
- The long awaited new and shiny gtk+licq is finally out.

* Sat May 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50.1-5mdk
- Rebuild against the latest pspell which in turn rebuilds us against
  the latest and shiniest libltdl.so.3.
  
* Wed May 23 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50.1-4mdk
- Rebuild with %%configure as libtool supports linking against static libraries
  now. :)
  
* Sun Mar 11 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50.1-3mdk
- Rebuild for new 1.0.3.
- Hack or glib / gtk include path problems.

* Tue Feb 27 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50.1-2mdk
- Don't use the configure RPM macro for the time being.

* Thu Jan 04 2001 Geoff <snailtalk@mandrakesoft.com> 0.50.1-1mdk
- new and sane source to fix a not_so_new_and_shiny_source.

* Wed Jan 03 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50-1mdk
- new and shiny source.
- build with our optimization flags.
- fix the broken Makefile trying to link to -lXss.

* Sun Oct 22 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.39.1-1mdk
- shiny new version.
- fake a dependency on Licq 1.0.

* Thu Sep 07 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.39-4mdk
- use the %%find_lang macro. (gc)

* Tue Sep 05 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.39-3mdk
- rebuilt to fix the requires problem.
- a group change.

* Sun Aug 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.39-2mdk
- fix the requires

* Wed Aug 09 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.39-1mdk
- readding back of gtk+licq (sorry there was a bit of confusion before
  and it got removed temporarily ...)

* Sat Jul 15 2000 Geoffrey Lee <snailtalk@users.sourceforge.net>
- fix the nognome package (hopefully)
- fix the building of the broken non-gnome package (Mattias)

* Thu Jul 13 2000 Geoffrey Lee <snailtalk@users.sourceforge.net>
- fix some kludges
- gzip source
- one with gnome stuff and one without

* Wed Jul 12 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- first rpm from gtk+licq at the request of gtk+licq developers, mail problems
  to the maintainer of this rpm Geoffrey Lee <snailtalk@users.sourceforge.net>


# eof

